<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdminAccountsTable extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::create('admin_accounts', function (Blueprint $table) {
      $table->id();
      $table->bigInteger('admin_id')->index();
      $table->string('account', 50)->index();
      $table->string('secret', 80);
      $table->tinyInteger('type')->comment('1-账号密码');
      $table->tinyInteger('del')->default(2)->comment('1-删除 2-正常');
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::dropIfExists('admin_accounts');
  }
}
